Module
Contents
Index 🔎︎

# Erl Function

Vracia číslo riadku, kde sa vyskytla chyba počas vykonávania programu.

## Syntax:

    Erl

## Návratová hodnota:

Celé číslo

## Paremetre:

Funkcia Erl iba vracia číslo riadku a nie popis riadku.

## Príklad:

    Sub ExampleError

    on error goto ErrorHandler REM Set up error handler

    Dim iVar As Integer

    Dim sVar As String

    REM chyba spôsobená neexistujúcim súborom

        iVar = Freefile

        Open "\file9879.txt" For Input As #iVar

        Line Input #iVar, sVar

        Close #iVar

        Exit Sub

    ErrorHandler:

        MsgBox "Error " & err & ": " & error$ + chr(13) + "Na riadku : " + Erl + chr(13) + Now , 16 ,"sa vyskytla chyba"

    End Sub